PAL 3.4E - Should I update to latest 4.x FW before a mod?

Discussion in 'Wii - Hacking' started by jaybee, Jan 29, 2010.

  1. jaybee
    OP

    jaybee GBAtemp Regular

    Member
    206
    0
    Jan 29, 2010
    Hi,

    I basically have 2 Wii's, both PAL. I originally updated my 3.4E console no problem using Trucha Bug Restorer and installing the necessary wads. This all works brilliantly. I have acquired another unmodded Wii with the same FW, 3.4E, but I am wondering if it would be worth doing the update to 4.x online first and then trying to mod it from there. Is it safe and is it worth it, and will I be able to install BootMii as I did the 3.4E? Any advice would be appreciated. What is the latest FW? Is it 4.2E in Europe?

    The ID on the bottom of the console is: RVL-001(EUR) and Ser No. LEH XXXXXXXXX

    Thanks.
     
  2. longtom1

    longtom1 Keep an eye on my posts cause I quick edit frequen

    Member
    2,641
    0
    Jan 12, 2009
    Honey Oils inc.
    Just hack the wii the way it is now you can always update to 4.x at any time with dop-ios I do go from 3.2 to 4.1 and back again(can do so cause I have boot2v2+v3)
     
  3. jaybee
    OP

    jaybee GBAtemp Regular

    Member
    206
    0
    Jan 29, 2010
    Thanks for that info! Much Appreciated! I've heard about DOP-IOS-MOD but never used it. Is it fairly easy to use?
     
  4. smf

    smf GBAtemp Maniac

    Member
    1,146
    237
    Feb 23, 2009
    If you are going to play any originals or want to access the shop then the easiest way is to update online and then mod from there.
    You will get boot2v4, so downgrading will be a problem. Then there are no reasons you will ever have to downgrade before 4.2 (which is the latest).

    The only risk is if you update after nintendo post another update, which is why you should always upgrade sooner than later.